## dcl-c 5.3-1

=== Makefile ===
#
#       Makefile for dcl-5.3
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include Mkinclude

DIRSCLN 	= f2csrc src demo
DIRSCLNA 	= f2csrc src demo bin lib sys


all: mkldir f2clib object library dbase exec script

mkldir:
	@if (test ! -d $(LDBASEDIR)) then \
	  echo "Making directory $(LDBASEDIR)" ; \
	  mkdir $(LDBASEDIR); \
	fi 

f2clib:
	@cd f2csrc ; \
	echo "Making a f2c library file..." ; \
	$(MAKE) all ; \
	cd ..

object:
	@cd src ; \
	echo "Making object files..." ; \
	$(MAKE) object ; \
	cd ..

library:
	@cd src ; \
	echo "Making a library file..." ; \
	$(MAKE) library ; \
	cd ..

dbase:
	@cd src ; \
	echo "Making database..." ; \
	$(MAKE) dbase ; \
	cd ..

exec:
	@cd src ; \
	echo "Making exec files..." ; \
	$(MAKE) exec ; \
	cd ..

script:
	@cd bin ; \
	echo "Making command script files..." ; \
	$(MAKE) all ; \
	cd ..

install: mkdir libinstall bininstall incinstall

mkdir:
	@if (test ! -d $(prefix)) then \
	  echo "Making directory $(prefix)" ; \
	  mkdir $(prefix) ; \
	fi
	@if (test ! -d $(LIBDIR)) then \
	  echo "Making directory $(LIBDIR)" ; \
	  mkdir $(LIBDIR) ; \
	fi
	@if (test ! -d $(BINDIR)) then \
	  echo "Making directory $(BINDIR)" ; \
	  mkdir $(BINDIR) ; \
	fi
	@if (test ! -d $(INCDIR)) then \
	  echo "Making directory $(INCDIR)" ; \
	  mkdir $(INCDIR) ; \
	fi
	@if (test ! -d $(DBASEDIR)) then \
	  echo "Making directory $(DBASEDIR)" ; \
	  mkdir $(DBASEDIR) ; \
	fi

libinstall:
	@cd lib ; \
	echo "Installing lib..." ; \
	$(MAKE) install ; \
	cd ..

bininstall:
	@cd bin ; \
	echo "Installing bin..." ; \
	$(MAKE) install ; \
	cd ..

incinstall:
	@cd include ; \
	echo "Installing include..." ; \
	$(MAKE) install ; \
	cd ..

clean: clean.local clean.dir

distclean: clean.locala clean.dira

clean.all: clean.locala clean.dira

clean.local:
	$(RM) *~ *.aux

clean.locala:
	$(RM) *~ *.aux a.exe config.cache config.log config.status

clean.dir:
	@for i in $(DIRSCLN) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

clean.dira:
	@for i in $(DIRSCLNA) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) distclean ; \
	  cd .. ; \
	done

=== bin/Makefile ===
#
#       Makefile for bin
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

LIBSRCS 	= $(DCLCONFVER) $(DCLCC)
INSTSRC		= cdcldate$(EXT) cdclver$(EXT) cdclexec$(EXT) cdcltrf$(EXT) \
		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
		  dclps2kdraw	dclpscat	dclpsfix \
		  dclpsfont	dclpsline	dclpsmargin \
		  dclpsmerge	dclpsnup	dclpsrmcm \
		  dclpsrot	dclpsselect	dclpsseparate \
		  dclpsunrot


all: $(DCLCONFVER) $(DCLCC)

$(DCLCONFVER): dclconfig.org
	@echo "Making shell script $(DCLCONFVER)"
	@$(SED) \
	     -e 's!@prefix@!$(prefix)!' \
	     -e 's!@DCLVERSION@!$(DCLVERSION)!' \
	     -e 's!@DCLVERNUM@!$(DCLVERNUM)!' \
	     -e 's!@DCLLANG@!$(DCLLANG)!' \
	     -e 's!@BINDIR@!$(BINDIR)!' \
	     -e 's!@LIBDIR@!$(LIBDIR)!' \
	     -e 's!@INCDIR@!$(INCDIR)!' \
	     -e 's!@DCLLIBNAME@!$(DCLLIBNAME)!' \
	     -e 's!@DCLLIBFILE@!$(DCLLIBFILE)!' \
	     -e 's!@DCLLIBOPT@!$(DCLLIBOPT)!' \
	     -e 's!@DCLLIBPATH@!$(DCLLIBPATH)!' \
	     -e 's!@DBASENAME@!$(DBASENAME)!' \
	     -e 's!@DBASEDIR@!$(DBASEDIR)!' \
	     -e 's!@XINCPATH@!$(XINCPATH)!' \
	     -e 's!@XLIBPATH@!$(XLIBPATH)!' \
	     -e 's!@XLIBOPT@!$(XLIBOPT)!' \
	     -e 's!@CC@!$(CC)!' \
	     -e 's!@CFLAGS@!$(CFLAGS)!' \
	     -e 's!@FC@!$(FC)!' \
	     -e 's!@FFLAGS@!$(FFLAGS)!' \
	     -e 's!@LDFLAGS@!$(LDFLAGS)!' \
	     -e 's!@LDLIBS@!$(LDLIBS)!' \
	     -e 's!@GTKVERSION@!$(GTKVERSION)!' \
	         dclconfig.org > $(DCLCONFVER)
	@chmod +x $(DCLCONFVER)

$(DCLCC): dclcc.org
	@echo "Making shell script $(DCLCC)"
	@sed -e 's!@PATH@!$(BINDIR)!' dclcc.org > $(DCLCC)
	@chmod +x $(DCLCC)

install:
	@-if (test $(BINDIR) != $(LBINDIR)) then \
	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
	$(RM) $(BINDIR)/$(DCLCONFIG)
	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

clean:
	$(RM) *~

distclean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLCC)

=== lib/Makefile ===
#
#       Makefile for lib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude


install:
	@-if (test $(LIBDIR) != $(LLIBDIR)) then \
	$(CP) $(LDCLLIBFILE) $(DCLLIBFILE); \
	$(CP) $(LF2CLIBFILE) $(F2CLIBFILE); \
	$(CP) $(LDBASEDIR)/* $(DBASEDIR); fi

clean: clean.local

distclean: clean.local clean.lib

clean.local:
	$(RM) *~

clean.lib:
	$(RM) $(LDCLLIBFILE)
	$(RM) $(LDBASEDIR)/*

=== demo/grph2/g2pack/Makefile ===
#
#       Makefile for g2pack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= g2pack
LIBSRCS		= g2pk01.c     g2pk02.c 
LIBDEMO 	= g2pk01       g2pk02
LIBEXEC 	= g2pk01$(EXT) g2pk02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/grph2/udegpk/Makefile ===
#
#       Makefile for udegpk (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= udegpk
LIBSRCS		= u2df01.c     u2df02.c     u2df03.c     u2df04.c     \
		  u2df05.c     u2df06.c     u2df07.c     u2df08.c
LIBDEMO		= u2df01       u2df02       u2df03       u2df04       \
		  u2df05       u2df06       u2df07       u2df08
LIBEXEC		= u2df01$(EXT) u2df02$(EXT) u2df03$(EXT) u2df04$(EXT) \
		  u2df05$(EXT) u2df06$(EXT) u2df07$(EXT) u2df08$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/grph2/ulpack/Makefile ===
#
#       Makefile for ulpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ulpack
LIBSRCS		= ulpk01.c     ulpk02.c
LIBDEMO 	= ulpk01       ulpk02
LIBEXEC 	= ulpk01$(EXT) ulpk02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/grph2/umpack/Makefile ===
#
#       Makefile for umpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= umpack
LIBSRCS		= test01.c     test02.c     test03.c     test04.c     \
		  test05.c     test06.c     test07.c     test08.c     \
		  test09.c     umpk01.c     umpk02.c     umpk03.c     \
		  umpk04.c     umpk05.c
LIBDEMO		= test01       test02       test03       test04       \
		  test05       test06       test07       test08       \
		  test09       umpk01       umpk02       umpk03       \
		  umpk04       umpk05
LIBEXEC		= test01$(EXT) test02$(EXT) test03$(EXT) test04$(EXT) \
		  test05$(EXT) test06$(EXT) test07$(EXT) test08$(EXT) \
		  test09$(EXT) umpk01$(EXT) umpk02$(EXT) umpk03$(EXT) \
		  umpk04$(EXT) umpk05$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/math1/ifalib/Makefile ===
#
#       Makefile for ifalib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ifalib
LIBSRCS		= ifal01.c
LIBDEMO 	= ifal01
LIBEXEC 	= ifal01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/viblib/Makefile ===
#
#       Makefile for viblib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= viblib
LIBSRCS		= vibl01.c
LIBDEMO 	= vibl01
LIBEXEC 	= vibl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math2/intrlib/Makefile ===
#
#       Makefile for intrlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= intrlib
LIBSRCS		= intr01.c
LIBDEMO 	= intr01
LIBEXEC 	= intr01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/misc1/chglib/Makefile ===
#
#       Makefile for chglib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= chglib
LIBSRCS		= chgl01.c
LIBDEMO 	= chgl01
LIBEXEC 	= chgl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/rakuraku/quick/Makefile ===
#
#       Makefile for quick (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= quick
LIBSRCS		= quick1.c     quick2.c     quick3.c     quick4.c     \
		  quick5.c
LIBDEMO		= quick1       quick2       quick3       quick4       \
		  quick5
LIBEXEC		= quick1$(EXT) quick2$(EXT) quick3$(EXT) quick4$(EXT) \
		  quick5$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== debian/changelog ===
dcl-c (5.3-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 17 Nov 2004 13:26:38 +0900

dcl-c (5.2.3-3) unstable; urgency=low

  *  

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 12 Aug 2004 18:05:29 +0900

dcl-c (5.2.3-2) unstable; urgency=low

  *  

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 11 Mar 2004 17:40:21 +0900

dcl-c (5.2.3-1) unstable; urgency=low

  * Initial Release.

 -- Kazuaki Takemoto <takemoto@ep.sci.hokudai.ac.jp>  Thu, 27 Nov 2003 03:32:43 +0900

=== debian/control ===
Source: dcl-c
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: dcl-c
Architecture: any
Depends: ${shlibs:Depends}
Suggests: f2c 
Conflicts: 
Replace: dcl-c-gtk (=< 5.2.3.8), dcl-c-gtk2 (=< 5.3.3.2)
Description: GFD-DENNOU Club Library (DCL) for C.
 The DCL graphic library is written originally in Fortran77
 which contains following libraries. 
 * visualization libraries: wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries (FFT, Ordinary differential equation solver, Spherical harmonics analysis etc)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#
# INSTALL DIR (2004/11/17 M. Odaka)
PREFIXLIB=dcl-5.3-c


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	./configure --prefix=/usr/lib/$(PREFIXLIB)

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/dcl-c.sgml > dcl-c.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/$(PREFIXLIB)/bin usr/lib/$(PREFIXLIB)/lib

	# Add here commands to install the package into debian/dcl-c.
	$(MAKE) install prefix=$(CURDIR)/debian/dcl-c/usr/lib/$(PREFIXLIB)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link usr/lib/$(PREFIXLIB)/lib/libcdcl52.a  usr/lib/libcdcl52.a \
	        usr/lib/$(PREFIXLIB)/lib/libf2c4dcl.a usr/lib/libf2c4dcl.a \
	        usr/lib/$(PREFIXLIB)/include/cdcl.h   usr/include/cdcl.h \
	        usr/lib/$(PREFIXLIB)/bin/cdclcc       usr/bin/cdclcc \
	        usr/lib/$(PREFIXLIB)/bin/cdclclr      usr/bin/cdclclr \
	        usr/lib/$(PREFIXLIB)/bin/cdclcmap     usr/bin/cdclcmap \
	        usr/lib/$(PREFIXLIB)/bin/cdclconfig53 usr/bin/cdclconfig53 \
	        usr/lib/$(PREFIXLIB)/bin/cdclconfig   usr/bin/cdclconfig \
	        usr/lib/$(PREFIXLIB)/bin/cdcldate     usr/bin/cdcldate \
	        usr/lib/$(PREFIXLIB)/bin/cdcldbs      usr/bin/cdcldbs \
	        usr/lib/$(PREFIXLIB)/bin/cdclexec     usr/bin/cdclexec \
	        usr/lib/$(PREFIXLIB)/bin/cdclfont     usr/bin/cdclfont \
	        usr/lib/$(PREFIXLIB)/bin/cdclpara     usr/bin/cdclpara \
	        usr/lib/$(PREFIXLIB)/bin/cdcltone     usr/bin/cdcltone \
	        usr/lib/$(PREFIXLIB)/bin/cdcltrf      usr/bin/cdcltrf \
	        usr/lib/$(PREFIXLIB)/bin/cdclver      usr/bin/cdclver 
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dcl-c 5.3-20050523-1

=== bin/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 install:
 	@-if (test $(BINDIR) != $(LBINDIR)) then \
-	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
+	$(INSTALL_PROG) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
 	$(RM) $(BINDIR)/$(DCLCONFIG)
 	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

=== include/Makefile ===
#
#       Makefile for include
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude


install:
	@-if (test $(LIBDIR) != $(LLIBDIR)) then \
	$(INSTALL_DATA) $(LINCDIR)/cdcl.h $(INCDIR); \
	$(INSTALL_DATA) $(LINCDIR)/libtinyf2c.h $(INCDIR); fi

clean:
	$(RM) *~

distclean: clean

=== lib/Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 install:
 	@-if (test $(LIBDIR) != $(LLIBDIR)) then \
-	$(CP) $(LDCLLIBFILE) $(DCLLIBFILE); \
-	$(CP) $(LF2CLIBFILE) $(F2CLIBFILE); \
-	$(CP) $(LDBASEDIR)/* $(DBASEDIR); fi
+	$(INSTALL_DATA) $(LDCLLIBFILE) $(DCLLIBFILE); \
+	$(INSTALL_DATA) $(LF2CLIBFILE) $(F2CLIBFILE); \
+	$(INSTALL_DATA) $(LDBASEDIR)/* $(DBASEDIR); fi
 
 clean: clean.local

=== src/math1/syslib/Makefile ===
#
#       Makefile for syslib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= syslib
LIBCSRCS	= gliget.c gliqnp.c gllget.c gllqnp.c glrget.c glrqnp.c \
		  glcget.c glcqnp.c glpget.c glpqnp.c glqfnm.c rpnget.c \
		  rpnopt.c rpnenv.c rpnxfl.c lchreq.c iufopn.c cfsrch.c \
		  msgdmp.c mszdmp.c prcopn.c
LIBFSRCS	=
LIBSRCS		= $(LIBCSRCS) $(LIBFSRCS)
LIBCOBJS	= gliget.o gliqnp.o gllget.o gllqnp.o glrget.o glrqnp.o \
		  glcget.o glcqnp.o glpget.o glpqnp.o glqfnm.o rpnget.o \
		  rpnopt.o rpnenv.o rpnxfl.o lchreq.o iufopn.o cfsrch.o \
		  msgdmp.o mszdmp.o prcopn.o
LIBFOBJS	=
LIBOBJS		= $(LIBCOBJS) $(LIBFOBJS)


object: $(LIBOBJS)

gliqnp.c: gliqnp.g
	@echo "Substituting system constants (gliqnp.g -> gliqnp.c)"
	@sed -e "s!@INTMAX!$(INTMAX)!" \
	     gliqnp.g > gliqnp.c

glrqnp.c: glrqnp.g
	@echo "Substituting system constants (glrqnp.g -> glrqnp.c)"
	@sed -e "s!@REALMAX!$(REALMAX)!" \
	     -e "s!@REALMIN!$(REALMIN)!" \
	     -e "s!@REPSL!$(REPSL)!" \
	     glrqnp.g > glrqnp.c

glcqnp.c: glcqnp.g
	@echo "Substituting dcldbase path names (glcqnp.g -> glcqnp.c)"
	@sed -e "s!@DS_PATH!$(DBASEDIR)/!" \
	     glcqnp.g > glcqnp.c

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ glcqnp.c gliqnp.c glrqnp.c

=== debian/changelog ===
dcl-c (5.3-20050523-1) unstable; urgency=low

  * New upstream release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon, 30 May 2005 10:44:24 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}
 Suggests: f2c 
 Conflicts: 
-Replace: dcl-c-gtk (=< 5.2.3.8), dcl-c-gtk2 (=< 5.3.3.2)
+Replace: dcl-c-gtk (=< 5.2.3.8), dcl-c-gtk2 (=< 5.3.3.5)
 Description: GFD-DENNOU Club Library (DCL) for C.
  The DCL graphic library is written originally in Fortran77
  which contains following libraries.

## dcl-c 5.3.3

=== bin/Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 INSTSRC		= cdcldate$(EXT) cdclver$(EXT) cdclexec$(EXT) cdcltrf$(EXT) \
 		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
 		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
-		  dclps2kdraw	dclpscat	dclpsfix \
-		  dclpsfont	dclpsline	dclpsmargin \
-		  dclpsmerge	dclpsnup	dclpsrmcm \
-		  dclpsrot	dclpsselect	dclpsseparate \
-		  dclpsunrot
+		  cdclps2kdraw	cdclpscat	cdclpsfix \
+		  cdclpsfont	cdclpsline	cdclpsmargin \
+		  cdclpsmerge	cdclpsnup	cdclpsrgb2cmyk \
+		  cdclpsrmcm	cdclpsrot	cdclpsselect \
+		  cdclpsseparate	cdclpsunrot
 
 
 all: $(DCLCONFVER) $(DCLCC)
@@ -48,6 +48,7 @@
 	         dclconfig.org > $(DCLCONFVER)
 	@chmod +x $(DCLCONFVER)
 
+
 $(DCLCC): dclcc.org
 	@echo "Making shell script $(DCLCC)"
 	@sed -e 's!@PATH@!$(BINDIR)!' dclcc.org > $(DCLCC)
@@ -55,7 +56,7 @@
 
 install:
 	@-if (test $(BINDIR) != $(LBINDIR)) then \
-	$(INSTALL_PROG) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
+	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
 	$(RM) $(BINDIR)/$(DCLCONFIG)
 	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

=== src/env1/colormap/Makefile ===
#
#       Makefile for colormap
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

CMAPFILE0	= colormap.x11
CMAPLIST	= cmaplist
CMAPFILES	= colormap_01.x11              colormap_02.x11 \
		  colormap_03.x11              colormap_04.x11 \
		  colormap_05.x11              colormap_06.x11 \
		  colormap_07.x11              colormap_08.x11 \
		  colormap_09.x11              colormap_10.x11 \
		  colormap_11.x11              colormap_12.x11 \
		  colormap_13.x11              colormap_14.x11
LCMAPFILE0	= $(LDBASEDIR)/colormap.x11
LCMAPLIST	= $(LDBASEDIR)/cmaplist
LCMAPFILES	= $(LDBASEDIR)/colormap_01.x11 $(LDBASEDIR)/colormap_02.x11 \
		  $(LDBASEDIR)/colormap_03.x11 $(LDBASEDIR)/colormap_04.x11 \
		  $(LDBASEDIR)/colormap_05.x11 $(LDBASEDIR)/colormap_06.x11 \
		  $(LDBASEDIR)/colormap_07.x11 $(LDBASEDIR)/colormap_08.x11 \
		  $(LDBASEDIR)/colormap_09.x11 $(LDBASEDIR)/colormap_10.x11 \
		  $(LDBASEDIR)/colormap_11.x11 $(LDBASEDIR)/colormap_12.x11 \
		  $(LDBASEDIR)/colormap_13.x11 $(LDBASEDIR)/colormap_14.x11


all: $(LCMAPFILE0) $(LCMAPLIST) $(LCMAPFILES)

$(LDBASEDIR)/colormap.x11: colormap.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/cmaplist: cmaplist
	@echo "Installing colormap list $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_01.x11: colormap_01.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_02.x11: colormap_02.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_03.x11: colormap_03.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_04.x11: colormap_04.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_05.x11: colormap_05.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_06.x11: colormap_06.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_07.x11: colormap_07.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_08.x11: colormap_08.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_09.x11: colormap_09.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_10.x11: colormap_10.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_11.x11: colormap_11.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_12.x11: colormap_12.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_13.x11: colormap_13.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_14.x11: colormap_14.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

colormap0.x11: cvcmap namedclr
	@echo "Creating colormap file colormap0.x11"
	@$(CAT) namedclr | ./cvcmap | $(CAT) > colormap0.x11

cvcmap: cvcmap.c
	$(CC) $(CFLAGS) -o cvcmap cvcmap.c $(XLIBPATH) $(XLIBOPT)

colormap1.x11: cmap01
	@echo "Creating colormap file colormap1.x11"
	@./cmap01 > colormap1.x11

cmap01: cmap01.c
	$(CC) $(CFLAGS) -I$(LINCDIR) -o cmap01 cmap01.c -L$(LLIBDIR) $(F2CLIBOPT) $(MATHLIBOPT)

colormap2.x11: cmap02
	@echo "Creating colormap file colormap2.x11"
	@./cmap02 > colormap.x11

cmap02: cmap02.c
	$(CC) $(CFLAGS) -I$(LINCDIR) -o cmap02 cmap02.c -L$(LLIBDIR) $(F2CLIBOPT) $(MATHLIBOPT)

clean:
	$(RM) *.o *~ cmap01$(EXT) cmap02$(EXT) cvcmap$(EXT) core a.out colormap?.x11

=== src/grph1/sgpack/Makefile ===
#
#       Makefile for sgpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sgpack
LIBFSRCS	= sgopn.c  sgiget.c sgiqnp.c sglget.c sglqnp.c sgrget.c \
		  sgrqnp.c sgpget.c sgpqnp.c sgoopn.c sgpwsn.c sgsvpt.c \
		  sgswnd.c sgssim.c sgsmpl.c sgstxy.c sgstrn.c sgstrf.c \
		  sgtrqf.c isgtrc.c sgplu.c  sgplzu.c sgplzv.c sgplzr.c \
		  sgpmu.c  sgpmzu.c sgpmzv.c sgpmzr.c sgtxu.c  sgtxzu.c \
		  sgtxzv.c sgtxzr.c sgtnu.c  sgtnzu.c sgtnzv.c sgtnzr.c \
		  sglnu.c  sglnzu.c sglnzv.c sglnzr.c sglau.c  sglazu.c \
		  sglazv.c sglazr.c sgsplc.c sgpcmd.c sgscmn.c sgscwd.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= sgopn.o  sgiget.o sgiqnp.o sglget.o sglqnp.o sgrget.o \
		  sgrqnp.o sgpget.o sgpqnp.o sgoopn.o sgpwsn.o sgsvpt.o \
		  sgswnd.o sgssim.o sgsmpl.o sgstxy.o sgstrn.o sgstrf.o \
		  sgtrqf.o isgtrc.o sgplu.o  sgplzu.o sgplzv.o sgplzr.o \
		  sgpmu.o  sgpmzu.o sgpmzv.o sgpmzr.o sgtxu.o  sgtxzu.o \
		  sgtxzv.o sgtxzr.o sgtnu.o  sgtnzu.o sgtnzv.o sgtnzr.o \
		  sglnu.o  sglnzu.o sglnzv.o sglnzr.o sglau.o  sglazu.o \
		  sglazv.o sglazr.o sgsplc.o sgpcmd.o sgscmn.o sgscwd.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/grph2/uepack/Makefile ===
#
#       Makefile for uepack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uepack
LIBFSRCS	= uetone.c uetonf.c uetonc.c uezchk.c uegtla.c uegtlb.c \
		  ueitlv.c uestln.c iueton.c uearea.c ueiget.c ueiqnp.c \
		  uelget.c uelqnp.c uerget.c uerqnp.c uepget.c uepqnp.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uetone.o uetonf.o uetonc.o uezchk.o uegtla.o uegtlb.o \
		  ueitlv.o uestln.o iueton.o uearea.o ueiget.o ueiqnp.o \
		  uelget.o uelqnp.o uerget.o uerqnp.o uepget.o uepqnp.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/math1/maplib/Makefile ===
#
#       Makefile for maplib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#


include ../../../Mkinclude

LIBNAME		= maplib
LIBFSRCS	= mpfcyl.c mpfmer.c mpfmwd.c mpfmwl.c mpfhmr.c mpfek6.c \
		  mpfktd.c mpfcon.c mpfcoa.c mpfcoc.c mpfbon.c mpfotg.c \
		  mpfpst.c mpfazm.c mpfaza.c mpzmwd.c mpzek6.c mpzktd.c \
		  mpznwt.c xmplon.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= mpfcyl.o mpfmer.o mpfmwd.o mpfmwl.o mpfhmr.o mpfek6.o \
		  mpfktd.o mpfcon.o mpfcoa.o mpfcoc.o mpfbon.o mpfotg.o \
		  mpfpst.o mpfazm.o mpfaza.o mpzmwd.o mpzek6.o mpzktd.o \
		  mpznwt.o xmplon.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/misc1/randlib/Makefile ===
#
#       Makefile for randlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= randlib
LIBFSRCS	= rngu1.c rngu2.c rngu3.c
LIBCSRCS	= rngu0.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= rngu1.o rngu2.o rngu3.o
LIBCOBJS	= rngu0.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

## dcl-c 5.3.4.2

=== src/grph1/sgpack/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 		  sgtxzv.c sgtxzr.c sgtnu.c  sgtnzu.c sgtnzv.c sgtnzr.c \
 		  sglnu.c  sglnzu.c sglnzv.c sglnzr.c sglau.c  sglazu.c \
 		  sglazv.c sglazr.c sgsplc.c sgpcmd.c sgscmn.c sgscwd.c
-LIBCSRCS	=
+IBCSRCS	=
 LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
 LIBFOBJS	= sgopn.o  sgiget.o sgiqnp.o sglget.o sglqnp.o sgrget.o \
 		  sgrqnp.o sgpget.o sgpqnp.o sgoopn.o sgpwsn.o sgsvpt.o \
@@ -25,7 +25,8 @@
 		  sgtxzv.o sgtxzr.o sgtnu.o  sgtnzu.o sgtnzv.o sgtnzr.o \
 		  sglnu.o  sglnzu.o sglnzv.o sglnzr.o sglau.o  sglazu.o \
 		  sglazv.o sglazr.o sgsplc.o sgpcmd.o sgscmn.o sgscwd.o
-LIBCOBJS	=
+
+IBCOBJS	=
 LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)

=== src/grph1/stpack/Makefile ===
#
#       Makefile for stpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= stpack
LIBFSRCS	= stftrf.c stftrn.c stfrot.c stfrad.c \
		  stfwtr.c stfpr3.c stftr3.c ststrn.c stnusr.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= stftrf.o stftrn.o stfrot.o stfrad.o \
		  stfwtr.o stfpr3.o stftr3.o ststrn.o stnusr.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/grph1/swpack/Makefile ===
#
#       Makefile for swpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= swpack
LIBFSRCS	= swpack.c swiget.c swiqnp.c swlget.c swlqnp.c swrget.c \
		  swrqnp.c swcget.c swcqnp.c swpget.c swpqnp.c swqfnm.c \
		  swcmll.c
LIBCSRCS	= zxpack.c z1pack.c ztpack.c zgpack.c cfnchr.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= swpack.o swiget.o swiqnp.o swlget.o swlqnp.o swrget.o \
		  swrqnp.o swcget.o swcqnp.o swpget.o swpqnp.o swqfnm.o \
		  swcmll.o
LIBCOBJS	= zxpack.o z1pack.o ztpack.o zgpack.o cfnchr.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

swiqnp.c: swiqnp.g
	@echo "Substituting system constants (swiqnp.g -> swiqnp.c)"
	@sed -e "s!@DCLNWS!$(DCLNWS)!" \
	     -e "s!@IWIDTH!$(IWIDTH)!" \
	     -e "s!@IHEIGHT!$(IHEIGHT)!" \
	     swiqnp.g > swiqnp.c

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ swiqnp.c

=== src/grph2/uepack/Makefile ===
--- 
+++ 
@@ -9,12 +9,14 @@
 LIBNAME		= uepack
 LIBFSRCS	= uetone.c uetonf.c uetonc.c uezchk.c uegtla.c uegtlb.c \
 		  ueitlv.c uestln.c iueton.c uearea.c ueiget.c ueiqnp.c \
-		  uelget.c uelqnp.c uerget.c uerqnp.c uepget.c uepqnp.c
+		  uelget.c uelqnp.c uerget.c uerqnp.c uepget.c uepqnp.c \
+		  uetonb.c
 LIBCSRCS	=
 LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
 LIBFOBJS	= uetone.o uetonf.o uetonc.o uezchk.o uegtla.o uegtlb.o \
 		  ueitlv.o uestln.o iueton.o uearea.o ueiget.o ueiqnp.o \
-		  uelget.o uelqnp.o uerget.o uerqnp.o uepget.o uepqnp.o
+		  uelget.o uelqnp.o uerget.o uerqnp.o uepget.o uepqnp.o \
+		  uetonb.o
 LIBCOBJS	=
 LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)

=== debian/changelog ===
dcl-c (5.3.4.2-2) unstable; urgency=low

  * Change source format: 3.0 (quilt)
  * Change CDBS to dh

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 10 Jan 2012 19:51:40 +0900

dcl-c (5.3.4.2-1) unstable; urgency=low

  * Imported Upstream version 5.3.4.2
  * add debug package

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 26 Feb 2011 02:49:33 +0900

dcl-c (5.3.3-6) unstable; urgency=low

  * Add additional colormap created by Tsuyoshi KOSHIRO
  * Bump Standard Version: 3.8.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 03 Dec 2009 19:04:18 +0900

dcl-c (5.3.3-5) unstable; urgency=low

  * Add chrpath to Build-Depends(rpath issue)
  * upgrade problem fixed

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 03 Jul 2009 16:39:56 +0900

dcl-c (5.3.3-4) unstable; urgency=low

  * New upstream
  * modified debian/rules

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 30 Nov 2008 01:51:33 +0900

dcl-c (5.3.3-3) unstable; urgency=low

  * Bug fix
    * typo about dclps utils.

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Tue, 22 Jul 2008 11:43:13 +0900

dcl-c (5.3.3-2) unstable; urgency=low

  * added configure option: --enable-shared
  * added docs: CHECK, Mkinclude, index.html

 -- KOSHIRO Tsuyoshi <koshiro@gfd-dennou.org>  Wed, 25 Jul 2007 18:18:56 +0900

dcl-c (5.3.3-1) unstable; urgency=low

  * New upstream: re-designed for Etch
  * using CDBS
  * enabled gtk2.

 -- Youhei Sasaki <uwabami@gfd-dennou.org>  Sat, 16 Jun 2007 01:41:46 +0900

dcl-c (5.3.2-1) unstable; urgency=low

  * Initial Release.

 -- SUGIYAMA Ko-ichiro <sugiyama@localhost.localdomain>  Sat,  9 Dec 2006 13:47:00 +0900

=== debian/control ===
Source: dcl-c
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, chrpath
Standards-Version: 3.9.2
Homepage: http://www.gfd-dennou.org/library/dcl

Package: libcdcl5
Section: libs
Architecture: any
Conflicts: dcl-c (<= 5.3.3-3)
Replaces: dcl-c (<= 5.3.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) for C
 The DCL graphic library is written in C (originally in Fortran77),
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provide shared library.

Package: libcdcl-dev
Section: libdevel
Suggests: f2c
Architecture: any
Conflicts: dcl-c (<= 5.3.3-3)
Replaces: dcl-c (<= 5.3.3-3)
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdcl5 (= ${binary:Version}), mawk, tcsh | csh | c-shell
Description: GFD-DENNOU Club Library (DCL) for C
 The DCL graphic library is written in C (originally in Fortran77),
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static libraries, header, build wrapper shell scripts.

Package: libcdcl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdcl5 (= ${binary:Version}), mawk, tcsh | csh | c-shell
Description: GFD-DENNOU Club Library (DCL) for C
 The DCL graphic library is written in C (originally in Fortran77),
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: dcl-c
Architecture: all
Depends: libcdcl-dev, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) for C
 The DCL graphic library is written originally in Fortran77
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage, install libcdcl-dev.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --prefix=/usr 

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	for f in `find $(CURDIR)/debian/tmp/usr/bin/ -type f ! -name "*dclps*" ! -name "cdclcc" ! -name "cdclconfig*"` ;do \
		chrpath -d $$f ;\
	done

override_dh_intall:
	dh_intall

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libcdcl-dbg

## dcl-c 5.4.5

=== demo/gokuraku/jump/Makefile ===
#
#       Makefile for sosite (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sosite
LIBSRCS		= jump1.c     jump2.c
LIBDEMO		= jump1       jump2
LIBEXEC		= jump1$(EXT) jump2$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/grph2/udegpk/Makefile ===
#
#       Makefile for udegpk (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= udegpk
LIBSRCS		= u2df01.c      u2df02.c      u2df03.c      u2df04.c     \
		  u2df05.c      u2df06.c      u2df07.c      u2df08.c     \
		  u2df09e.c     u2df09b.c     u2df09f.c     u2df09c.c
LIBDEMO		= u2df01        u2df02        u2df03        u2df04       \
		  u2df05        u2df06        u2df07        u2df08       \
		  u2df09e       u2df09b       u2df09f       u2df09c
LIBEXEC		= u2df01$(EXT)  u2df02$(EXT)  u2df03$(EXT)  u2df04$(EXT) \
		  u2df05$(EXT)  u2df06$(EXT)  u2df07$(EXT)  u2df08$(EXT) \
		  u2df09e$(EXT) u2df09b$(EXT) u2df09f$(EXT) u2df09c$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/math2/vstlib/Makefile ===
#
#       Makefile for vstlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vstlib
LIBSRCS		= vstl01.c     vstl02.c
LIBDEMO 	= vstl01       vstl02
LIBEXEC 	= vstl01$(EXT) vstl02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/rakuraku/kihon/Makefile ===
#
#       Makefile for kihon (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= kihon
LIBSRCS		= kihon1.c     kihon2.c     kihon3.c     kihon4.c     \
		  kihon5.c     kihon6.c     kihon7.c     kihon8.c     \
		  kihon9.c     kihona.c     kihonb.c     kihonc.c
LIBDEMO		= kihon1       kihon2       kihon3       kihon4       \
		  kihon5       kihon6       kihon7       kihon8       \
		  kihon9       kihona       kihonb       kihonc
LIBEXEC		= kihon1$(EXT) kihon2$(EXT) kihon3$(EXT) kihon4$(EXT) \
		  kihon5$(EXT) kihon6$(EXT) kihon7$(EXT) kihon8$(EXT) \
		  kihon9$(EXT) kihona$(EXT) kihonb$(EXT) kihonc$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/rakuraku/uspack/Makefile ===
#
#       Makefile for uspack (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uspack
LIBSRCS		= uspac1.c     uspac2.c     uspac3.c     uspac4.c
LIBDEMO		= uspac1       uspac2       uspac3       uspac4
LIBEXEC		= uspac1$(EXT) uspac2$(EXT) uspac3$(EXT) uspac4$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== src/math1/blklib/Makefile ===
#
#       Makefile for blklib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= blklib
LIBFSRCS	= iblklt.c iblkle.c iblkgt.c iblkge.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= iblklt.o iblkle.o iblkgt.o iblkge.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/math1/fnclib/Makefile ===
#
#       Makefile for fnclib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fnclib
LIBFSRCS	= igus.c imod.c rmod.c rexp.c rd2r.c rr2d.c rfpi.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= igus.o imod.o rmod.o rexp.o rd2r.o rr2d.o rfpi.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/math1/vralib/Makefile ===
#
#       Makefile for vralib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vralib
LIBFSRCS	= vrfna.c vrfna0.c vrfna1.c vrinc.c vrinc0.c vrinc1.c \
		  vrfct.c vrfct0.c vrfct1.c vrcon.c vrcon0.c vrcon1.c \
		  vrset.c radd.c radd0.c radd1.c rmlt.c rmlt0.c rmlt1.c \
		  rset.c rset0.c rset1.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vrfna.o vrfna0.o vrfna1.o vrinc.o vrinc0.o vrinc1.o \
		  vrfct.o vrfct0.o vrfct1.o vrcon.o vrcon0.o vrcon1.o \
		  vrset.o radd.o radd0.o radd1.o rmlt.o rmlt0.o rmlt1.o \
		  rset.o rset0.o rset1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl-c (5.4.5-1) unstable; urgency=low

  * Imported Upstream version 5.4.5
  * Update patch handling: gbp-pq
  * Add watch files
  * Fix wrong clean target

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 04 Jun 2012 18:16:58 +0900

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,21 @@
 #!/usr/bin/make -f
+
+VERSION := $(shell dpkg-parsechangelog|grep ^Version:|sed 's/^Version: //' | sed 's/-.*$$//g')
+UPDATE_FILES := libcdcl-dev.links.in libcdcl5.install.in libcdcl5.links.in
+
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-shared --prefix=/usr 
+	for f in $(UPDATE_FILES) ; do \
+	  cat $(CURDIR)/debian/$$f | sed 's/@CDCLVERSION@/$(VERSION)/g' \
+	    > $(CURDIR)/debian/`basename $$f .in` ;\
+	done
+	dh_auto_configure -- --enable-shared --prefix=/usr
 
 override_dh_auto_build:
 	dh_auto_build
@@ -19,6 +30,17 @@
 override_dh_intall:
 	dh_intall
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f $(CURDIR)/lib/libcdcl.so*
+	for f in $(UPDATE_FILES) ; do \
+	  rm -f $(CURDIR)/debian/`basename $$f .in` ;\
+	done
+
 .PHONY: override_dh_strip
 override_dh_strip:
 	dh_strip --dbg-package=libcdcl-dbg
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k HISTORY
+

## dcl-c 5.4.6

=== demo/math1/vralib/Makefile ===
#
#       Makefile for vralib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vralib
LIBSRCS		= vral01.c     vral02.c
LIBDEMO 	= vral01       vral02
LIBEXEC 	= vral01$(EXT) vral02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/misc1/randlib/Makefile ===
#
#       Makefile for randlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= randlib
LIBSRCS		= rand01.c
LIBDEMO 	= rand01
LIBEXEC 	= rand01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/misc1/timelib/Makefile ===
#
#       Makefile for timelib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= timelib
LIBSRCS		= time01.c     time02.c
LIBDEMO 	= time01       time02
LIBEXEC 	= time01$(EXT) time02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== src/misc1/fmtlib/Makefile ===
#
#       Makefile for fmtlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fmtlib
LIBFSRCS	= chval.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= chval.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/misc1/hexlib/Makefile ===
#
#       Makefile for hexlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= hexlib
LIBFSRCS	= hexdic.c hexdci.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= hexdic.o hexdci.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl-c (5.4.6-1) unstable; urgency=low

  * Imported Upstream version 5.4.6

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 19 Nov 2012 19:17:05 +0900

dcl-c (5.4.5-2) unstable; urgency=low

  * Update hadering flags

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 11 Jun 2012 22:58:34 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,12 @@
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, chrpath
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gfd-dennou.org/library/dcl
 
 Package: libcdcl5
 Section: libs
 Architecture: any
-Conflicts: dcl-c (<= 5.3.3-3)
-Replaces: dcl-c (<= 5.3.3-3)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GFD-DENNOU Club Library (DCL) for C
  The DCL graphic library is written in C (originally in Fortran77),
